<!-- Readme.md v1.1.3.0
SILPatches (SILP)
created: 01 Oct 19
updated: 2020 03 16 -->

## Download on [SpaceDock][MOD:rel-spacedock] or [Github][MOD:rel-github] or [Curseforge][MOD:rel-curseforge]. Also available on [CKAN][MOD:rel-ckan].  

# Stack Inline Light Patches (SILP)  
## by [@zer0Kerbal][LINK:zer0kerbal]  
### Adds Stack Inline Lights to parts all with full color and brightness setup and in any sizes!
![Mod Version][shield:mod:latest] 
![KSP version][shield:ksp] ![KSP-AVC][shield:kspavc] ![License MIT][shield:license] ![][LOGO:license]   
![SpaceDock][shield:spacedock] ![CKAN][shield:ckan] ![GitHub][shield:github] ![Curseforge][shield:curseforge]  
![Validate AVC .version files][shield:avcvalid]  
***
![SILPatches][IMG:hero:0]
### Adds SIL to the following mods:
- SimpleCargo by Axial Aerospace
- Most stock (round) docking ports
- PicoPorts
- Shield Pico Ports
- KerbodynePlus
- Making History
#### Cabin notes by [@zer0Kerbal][LINK:zer0kerbal]:  
- Please, leave your comments and suggestions. It is very important to me.
- You can tweak values by editing the part.cfg or using a ModuleManager patch.  
***  
### Installation Directions:
- Use CKAN  
![][image:rel-ckan]
### Changelog Summary
- *See [ChangeLog][MOD:changelog] for full details of mod changes*
### Known Issues
- *See [Known Issues][MOD:issues] for full details of feature requests, and known issues*
### Dependencies
- [x] [Kerbal Space Program][KSP:website] [![][shield:ksp]][KSP:website] ***may*** work on other versions ]/YMMV/
- [x] [Stock Inline Lights][thread:SIL]  
- [x] [Module Manager][thread:mm] [^1]  
### Recomends  
- [x] [Kerbal Changelog][thread:kcl]  
- [x] [Docking Port Descriptions(DPD)][thread:DPD]  
### Suggests
- [x] [PicoPort Shielded (PPS)][thread:PPS]  
- [x] [On Demand Fuel Cells {ODFC)}][thread:ODFC]  
- [x] [Field Training Facility (FTF)][thread:FTF]  
- [x] [Field Training Lab (FTL)][thread:FTL]  
- [x] [Transparent Command Pods Repressurized)(TCP)][thread:TCP]  
- [x] [Stork Delivery System (SDS)][thread:SDS]
- [x] [Biomatic][thread:BIO]
- [x] [B9 Stock Switches (B9S)][thread:B9S]  
- [x] [Oh Scrap!][thread:OHS]:  
- [x] [ScrapYard][thread:SYD]:  
- [x] [DaMichel's AeroRadial][thread:DAR]  
- [x] [DaMichel's CargoBays][thread:DCB]  
- [x] [DaMichel's Fuselage][thread:DMF]  
- [x] [DaMichel's Spherical Tanks][thread:DST]  
- [x] [Stork Delivery System (SDS)][thread:SDS]  
- [x] [SimpleConstructon!][thread:SC!]  
- [x] [Not So SimpleConstructon!][thread:NSSC]  
- [x] [TweakScale][thread:twk]  
- [x] [Community Resource Pack][thread:crp]  
- [x] [Bulb **Evolved**][thread:bulb]  
### Supports
- [x] [PicoPort Shielded (PPS)][thread:PPS]  
- [x] [Axial Aerospace SimpleCargo][thread:AAS]  
- [x] [PicoPort][thread:pp]  
- [x] [KerbodynePlus][thread:kb+]  
- [x] [Kerbal Changelog][thread:kcl]  
- [x] [Making History][KSP:website] Expansion 
### Conflicts
- [x] none known
### Tags
 - mod, ksp, docking port, parts, CC, light
***  
*red box below is a link to forum post on how to get support*  
[![][image:get-support]][thread:getsupport]  
### License
#### aka Legal Mumbo Jumbo
Source: [GitHub][MOD:github:repo]  
License: ![License GPLv2][shield:license] ![][LOGO:license]    
> *** All bundled mods are distributed under their own licenses***  
> *** All art assets (textures, models, animations) are distributed under their own licenses***   

[![][image:rel-github]][MOD:rel-github] [![][image:rel-spacedock]][MOD:rel-spacedock] [![][image:rel-curseforge]][MOD:rel-curseforge]  

*Be Kind: Lithobrake, not jakebrake! Keep your Module Manager up to date*

###### v1.00.0 original: 01 Oct 2019 zed'K | updated: 10 Apr 2020 zed'K

[MOD:license]:      https://github.com/zer0Kerbal/SILPatches/blob/master/LICENSE
[MOD:contributing]: https://github.com/zer0Kerbal/SILPatches/blob/master/.github/CONTRIBUTING.md
[MOD:wiki]:         https://github.com/zer0Kerbal/SILPatches/
[MOD:issues]:       https://github.com/zer0Kerbal/SILPatches/issues
[MOD:known]:        https://github.com/zer0Kerbal/SILPatches/wiki/Known-Issues
[MOD:forum]:        https://forum.kerbalspaceprogram.com/index.php?/topic/193050-*
[MOD:github:repo]:  https://github.com/zer0Kerbal/SILPatches/
[MOD:changelog]:    https://github.com/zer0Kerbal/SILPatches/Changelog.cfg
[KSP:website]:      https://kerbalspaceprogram.com/ "Kerbal Space Program"  

[LINK:license]: https://www.gnu.org/licenses/gpl-2.0-standalone.html "GPLv2"  
[LOGO:license]: https://i.postimg.cc/9FrwMgK6/GPL-17x17.png "GPLv2"

[MOD:rel-ckan]:      https://forum.kerbalspaceprogram.com/index.php?/topic/90246-* "CKAN"  
[MOD:rel-github]:    https://github.com/zer0Kerbal/SILPatches/releases/latest "GitHub"  
[MOD:rel-spacedock]: https://spacedock.info/mod/2370 "SpaceDock"  
[MOD:rel-curseforge]: https://www.curseforge.com/kerbal/ksp-mods/silp "CurseForge"  

[image:rel-github]:     https://i.imgur.com/RE4Ppr9.png "GitHub"  
[image:rel-spacedock]:  https://i.imgur.com/m0a7tn2.png "Spacedock"  
[image:rel-curseforge]: https://i.postimg.cc/RZNyB5vP/Download-On-Curse.png "CurseForge"  
[image:get-support]:    https://i.postimg.cc/vHP6zmrw/image.png "Click here to be taken to a forum post on how to get support"  

[image:rel-ckan]:  https://i.postimg.cc/x8XSVg4R/sj507JC.png "CKAN"  

[shield:mod:latest]: https://img.shields.io/github/v/release/zer0Kerbal/SILPatches?include_prereleases?style=plastic
[shield:mod]: https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/zer0Kerbal/SILPatches/master/json/mod.json
[shield:ksp]: https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/zer0Kerbal/SILPatches/master/json/ksp.json
[shield:license]: https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/zer0Kerbal/SILPatches/master/json/license.json
[shield:code]: https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/zer0Kerbal/Kaboom/master/json/code.json
[shield:kspavc]:     https://img.shields.io/badge/KSP-AVC--supported-brightgreen.svg?style=plastic
[shield:spacedock]:  https://img.shields.io/badge/SpaceDock-listed-blue.svg?style=plastic
[shield:ckan]:       https://img.shields.io/badge/CKAN-Indexed-blue.svg?style=plastic
[shield:github]:     https://img.shields.io/badge/Github-Indexed-blue.svg?style=plastic&logo=github
[shield:curseforge]: https://img.shields.io/badge/CurseForge-listed-blue.svg?style=plastic
[shield:avcvalid]:    https://github.com/zer0Kerbal/SILPatches/workflows/Validate%20AVC%20.version%20files/badge.svg

<!-- zer0Kerbal mods -->
[thread:ODFC]: https://forum.kerbalspaceprogram.com/index.php?/topic/187625-* "On Demand Fuel Cells"  
[thread:FTF]:  https://forum.kerbalspaceprogram.com/index.php?/topic/188841-* "Field Training Facility"  
[thread:FTL]:  https://forum.kerbalspaceprogram.com/index.php?/topic/188841-* "Field Training Lab"  
[thread:MHH]:  https://forum.kerbalspaceprogram.com/index.php?/topic/188246-* "More Hitchhikers"  
[thread:TCP]:  https://forum.kerbalspaceprogram.com/index.php?/topic/187495-* "Transparent Command Pods"  
[thread:NUK]:  https://forum.kerbalspaceprogram.com/index.php?/topic/21466-*  "Nuke Tiny Parts"
[thread:OHS]:  https://forum.kerbalspaceprogram.com/index.php?/topic/192360-* "Oh Scrap!"  
[thread:SYD]:  https://forum.kerbalspaceprogram.com/index.php?/topic/192360-* "ScrapYard"  
[thread:DPD]:  https://forum.kerbalspaceprogram.com/index.php?/topic/192184-* "Docking Port Descriptions"
[thread:PPS]:  https://forum.kerbalspaceprogram.com/index.php?/topic/192187-* "Shielded PicoPort"  
[thread:DST]:  https://forum.kerbalspaceprogram.com/index.php?/topic/191719-* "DaMichel's Spherical Tanks"  
[thread:DMF]:  https://forum.kerbalspaceprogram.com/index.php?/topic/191719-* "DaMichel's Fuselage"  
[thread:DAR]:  https://forum.kerbalspaceprogram.com/index.php?/topic/191719-* "DaMichel's AeroRadial"  
[thread:DCB]:  https://forum.kerbalspaceprogram.com/index.php?/topic/191719-* "DaMichel's CargoBays"  
[thread:SDS]:  https://forum.kerbalspaceprogram.com/index.php?/topic/191719-* "Stork Delivery System (SDS)"    
[thread:BIO]:  https://forum.kerbalspaceprogram.com/index.php?/topic/191426-* "Biomatic"  
[thread:B9S]:  https://forum.kerbalspaceprogram.com/index.php?/topic/190870-* "B9 Stock Patches"   
[thread:KGX]:  https://forum.kerbalspaceprogram.com/index.php?/topic/192696-* "KerGuise Experimental Engineering"  
[thread:SC!]:  https://forum.kerbalspaceprogram.com/index.php?/topic/191424-* "SimpleConstructon!"  
[thread:SL!]:  https://forum.kerbalspaceprogram.com/index.php?/topic/191045-* "SimpleLogistics!"  
[thread:SIL]:  https://forum.kerbalspaceprogram.com/index.php?/topic/193050-* "Stock Inline Lights"  
[thread:NSSC]:  https://forum.kerbalspaceprogram.com/index.php?/topic/191504-* "Not So SimpleConstructon!"  
[thread:BOOM]: https://forum.kerbalspaceprogram.com/index.php?/topic/192938-* "KaboOom!"
[thread:VG0]:  https:// "Vanguard Phase I"  
[thread:VG1]:  https:// "Vanguard Phase II"  
[thread:VGR]:  https:// "Vanguard Rodent"  
[thread:PRB]:  https:// "ProbiTronics"  
[thread:CTN]:  https:// "CTN"  
[thread:HBF]:  https:// "HotBeverages Fuel Cells" 
[thread:HBX]:  https:// "HotBeverages Experimental" 
[thread:HBM]:  https:// "HotBeverages Sensor Modules" 
[thread:HMS]:  https:// "HotBeverages Service Modules" 
[thread:HBK]:  https:// "HotBeverages Kerturn" 
[thread:DRL]:  https:// "DRElite (DRL)"
[thread:AIM]:  https:// "LandingAim"  
[thread:GFC]:  https:// "G-Force"
[thread:JET]:  https:// "Jettison"  
[thread:SILP]: https:// "Stock Inline Lights Patches"
[thread:DSV]:  https:// "DECQ Saturn V"  
[thread:DKX]:  https:// "DECQ KerbalX"  
[thread:DN1]:  https:// "DECQ N-1"  
[thread:DP+]:  https:// "DECQ Proton"  
[thread:SSS]:  https:// "DECQ Space Shuttle System"  
[thread:ARP]:  https:// "TriggerAu's Alternate Resource Panel"  
[thread:ARI]:  https:// "Olympic1's Icons for ARP"  
[thread:AAD]:  https:// "Axial Aerospace Dreamer"  
[thread:AAL]:  https:// "Axial Aerospace LanderTek"  
[thread:AAS]:  https:// "Axial Aerospace SimpleCargo"  
[thread:AAW]:  https:// "Axial Aerospace WhimChaser"  

[thread:mm]:  https://forum.kerbalspaceprogram.com/index.php?/topic/50533-* "Module Manager"   
[thread:kcl]: https://forum.kerbalspaceprogram.com/index.php?/topic/179207-* "Kerbal Changelog"  
[thread:twk]: https://forum.kerbalspaceprogram.com/index.php?/topic/179030-* "TweakScale"  
[thread:crp]: https://forum.kerbalspaceprogram.com/index.php?/topic/83007-* "Community Resource Pack"  
[thread:bulb]: https://forum.kerbalspaceprogram.com/index.php?/topic/191270-* "Bulb *Evolved*"
[thread:pp]: https://forum.kerbalspaceprogram.com/index.php?/topic/190319-18x-picoport-the-micro-docking-ports/ "PicoPort"  
[thread:kb+]: http://forum.kerbalspaceprogram.com/index.php?/topic/130809-105-kerbodyne-plus "Kerbodyne Plus"  

[thread:getsupport]: https://forum.kerbalspaceprogram.com/index.php?/topic/83212-* "Link to how to get support"  

[LINK:zer0Kerbal]: https://forum.kerbalspaceprogram.com/index.php?/profile/190933-zer0kerbal/ "zed'K"   

[UTUBE:img]:  https://img.youtube.com/vi/M4oEPicCZFU/0.jpg  
[UTUBE:link]: https://youtu.be/M4oEPicCZFU "Stock Inline Lights (SIL)"  

[IMG:hero:0]: https://i.imgur.com/AkVuW8J.png "Stack Inline Lights (SIL)"  
[IMG:hero:1]: https://i.imgur.com/wiWF3gQ.png "Stack Inline Lights (SIL)"  


[^1]: *Be Kind: Lithobrake, not jakebrake! Keep your Module Manager up to date* 

<!--
this file: GPLv2
zer0Kerbal-->
